View Issue Details

IDProjectCategoryView StatusLast Update
0003355Far ManagerFindFilespublic2016-12-02 16:44
ReportergultsAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003355: Far виснет после запроса привилегий при поиске в архивах.
DescriptionЕсли при запуске поиска файлов (Alt-F7) выставить опцию поиска в архивах и в процессе поиска Far запросит привилегии на открытие папки, то независимо от ответа Far повиснет. Без опции поиска в архивах все работает корректно. На практике такая ситуация возникает при поиске в архивах находясь в c:\.
   Ошибка появляется при наличии поставляемого с far плагина TmpPanel.
   Если отключить запрос привилегий для чтения, ошибка пропадает.
Ошибки не было в версии 4510, есть в 4700, 4747, 4774.
Ночная сборка 4852 виснет сразу, без запроса привилегий.
Steps To Reproduce   Для повтора ошибки, создаю папку (например d:\temp\NewFld). Для созданной папки (NewFld) выставляю запрет на "List folder/ read data" для Everyone. Находясь в корневой папке (d:\temp) открываю поиск (Alt-F7) выставляю опцию поиска в архивах и стартую. После ответа на запрос привилегий Far виснет.
Соответственно файловая система должна быть NTFS.
TagsNo tags attached.
Build4853

Activities

DrKnS

2016-11-25 16:43

administrator   bugnote:0015033

4853

gults

2016-12-02 16:27

reporter   bugnote:0015057

Now it works correctly. Thank you!

Issue History

Date Modified Username Field Change
2016-11-24 16:08 gults New Issue
2016-11-25 16:43 DrKnS Note Added: 0015033
2016-11-25 16:43 DrKnS Assigned To => DrKnS
2016-11-25 16:43 DrKnS Status new => feedback
2016-12-02 16:27 gults Note Added: 0015057
2016-12-02 16:27 gults Status feedback => assigned
2016-12-02 16:44 DrKnS Build => 4853
2016-12-02 16:44 DrKnS Status assigned => closed
2016-12-02 16:44 DrKnS Resolution open => fixed
2016-12-02 16:44 DrKnS Fixed in Version => 3.0